File: changelog

package info (click to toggle)
ruby-net-ssh 1:6.1.0-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 1,640 kB
  • sloc: ruby: 15,861; makefile: 3
file content (293 lines) | stat: -rw-r--r-- 9,610 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
ruby-net-ssh (1:6.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.1.0.
  * d/control: Bump DH compat to 13.

 -- Unit 193 <unit193@debian.org>  Mon, 29 Jun 2020 19:03:50 -0400

ruby-net-ssh (1:6.0.2-2) unstable; urgency=medium

  * Team upload.
  * d/ruby-tests.rake, d/rules:
    - Move instruction to skip tests so that autopkgtests are covered as well.

 -- Unit 193 <unit193@debian.org>  Mon, 04 May 2020 20:50:44 -0400

ruby-net-ssh (1:6.0.2-1) unstable; urgency=medium

  * Team upload.

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Unit 193 ]
  * New upstream version 6.0.2.
  * d/ruby-net-ssh.docs: README.rdoc → README.md.
  * d/rules: Disable tests that require 'x25519', since it's not in Debian.
  * Update Standards-Version to 4.5.0.

 -- Unit 193 <unit193@debian.org>  Sun, 03 May 2020 18:22:08 -0400

ruby-net-ssh (1:5.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.2.0

 -- Unit 193 <unit193@ubuntu.com>  Sat, 06 Jul 2019 18:29:38 -0400

ruby-net-ssh (1:5.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.1.0
    - Drop patch applied upstream.
  * Update Standards-Version to 4.3.0.
  * d/control: Set R³ to no.
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 12.
  * d/watch: Adjust the gemwatch url to gemwatch.debian.net.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 11 Jan 2019 17:33:14 -0500

ruby-net-ssh (1:5.0.2-2) unstable; urgency=medium

  * Team upload.
  * Update Standards-Version to 4.2.1.
  * d/p/missing_logger.patch: Restore, fixes an intermittent test failure.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 03 Oct 2018 18:46:34 -0400

ruby-net-ssh (1:5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.0.2
    - Drop patches, no longer needed.
  * d/compat, d/control: Bump dh compat to 11.
  * d/control:
    - Update Vcs-* fields, point to Salsa.
    - Replace ruby-rbnacl (build-)depend with ruby-ed25519.
  * Update Standards-Version to 4.1.4.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 23 Jun 2018 01:09:16 -0400

ruby-net-ssh (1:4.2.0-2) unstable; urgency=medium

  * Team upload.
  * d/control, d/copyright: Use https in format and homepage fields.
  * d/p/missing_logger.patch: Add a missing require on 'logger' to fix ftbfs.
    (Closes: #875965)

 -- Unit 193 <unit193@ubuntu.com>  Sat, 23 Sep 2017 20:47:13 -0400

ruby-net-ssh (1:4.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.2.0
  * Update Standards-Version to 4.1.0.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 12 Sep 2017 09:47:17 -0400

ruby-net-ssh (1:4.1.0-1) unstable; urgency=medium

  [ Unit 193 ]
  * d/watch: Update to track releases from GH as they have tests.
  * New upstream version 4.1.0
  * Drop patches.
  * d/control: (Build-)Depend on ruby-rbnacl and ruby-bcrypt-pbkdf.
  * d/p/newer_rbnacl.patch: Allow use of newer rbnacl versions.
  * Update standards-version to 4.0.0.

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 19 Jul 2017 11:04:16 +0200

ruby-net-ssh (1:3.2.0-1) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9
  * Use https:// in Vcs-* fields
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

  [ Lucas Nussbaum ]
  * Imported Upstream version 3.2.0
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Refresh patches
  * Update debian/rules with new dh-make-ruby generation

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 21 Jul 2016 23:41:27 +0200

ruby-net-ssh (1:3.0.1-3) unstable; urgency=medium

  * Team upload.
  * Reupload to unstable (Closes: #812914)

 -- Pirate Praveen <praveen@debian.org>  Wed, 10 Feb 2016 10:30:51 +0530

ruby-net-ssh (1:3.0.1-2) experimental; urgency=medium

  [ Stefano Rivera ]
  * Add missing Build-Depends: ruby-highline, ruby-termios (Closes: #812736)
  * wrap-and-sort.
  * Switch Vcs fields to https.

 -- Pirate Praveen <praveen@debian.org>  Fri, 05 Feb 2016 08:16:03 +0530

ruby-net-ssh (1:3.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream major release.
  * Remove patch: skip-test-broken-on-1.8.patch (we dropped ruby 1.8 already)

 -- Pirate Praveen <praveen@debian.org>  Tue, 19 Jan 2016 13:52:07 +0530

ruby-net-ssh (1:2.9.2-2) unstable; urgency=medium

  * Add patch: drop-require-test-unit.patch. This is a temporary
    workaround for #784424 (in ruby-test-unit).

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 06 May 2015 09:18:23 +0200

ruby-net-ssh (1:2.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh packaging and patches.
  * Disable unneeded patch: disable-rubygems-in-tests.patch.

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 05 May 2015 09:42:11 +0200

ruby-net-ssh (1:2.9.1-1) unstable; urgency=medium

  * Team upload.

  [ David Suárez ]
  * New upstream release.
  * Drop 'fix-test-inheritance' patch; Fixed upstream.
  * Add 'dont-test-cyphers-that-dont-have-fixtures' patch.
  * debian/changelog: change urgency to medium.
  * debian/copyright: update source url.
  * debian/control:
    - Remove older Replaces, Breaks and Provides fields.
    - Add myself as uploader.

 -- David Suárez <david.sephirot@gmail.com>  Sun, 05 Oct 2014 01:27:43 +0200

ruby-net-ssh (1:2.6.8-2) unstable; urgency=medium

  * Team upload.
  * No-changes rebuild to get rubygems-integration support for all
    interpreters

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 10 Apr 2014 20:38:51 -0300

ruby-net-ssh (1:2.6.8-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * Revert drop of fix-test-inheritance.patch: Tests are still failing
    (closes: #718118)

 -- David Suárez <david.sephirot@gmail.com>  Tue, 30 Jul 2013 17:45:29 +0200

ruby-net-ssh (1:2.6.7-1) unstable; urgency=low

  * Team upload.
  * New upstream release
    - debian/patches/disable-rubygems-in-tests.patch: Refreshed
  * debian/control: Drop the transitional packages
  * debian/control: Bump Standards-Version to 3.9.4 (no further changes)
  * debian/patches/skip-test-broken-on-1.8.patch: Also disable
    test_from_should_measure_bytesize_of_utf_8_string_correctly check with
    ruby 1.8
  * debian/patches:
    - Drop disable-test1.patch: The test is passing with ruby-test-unit 2.5.5
    - Drop disable-config-tests.patch: The input config is now existing
    - Drop fix-test-inheritance.patch: Tests are running as expected now

 -- Laurent Bigonville <bigon@debian.org>  Sat, 06 Jul 2013 21:04:36 +0200

ruby-net-ssh (1:2.5.2-2) unstable; urgency=low

  * Bumped build-dependency on gem2deb to >= 0.3.0~.

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 26 Jun 2012 23:54:08 +0200

ruby-net-ssh (1:2.5.2-1) unstable; urgency=low

  * New upstream release.
    + Fixes crash looking for an unknown constant
    Net::SSH::KnownHosts::SUPPORTED_TYPE (Closes: #675946)
  * Added debian/patches/skip-test-broken-on-1.8.patch: a new test added in
    this release is broken on Ruby 1.8, so it has to be skipped.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 12 Jun 2012 15:46:54 -0300

ruby-net-ssh (1:2.5.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Added myself to uploaders.
    + Bumped standards version to 3.9.3; no changes required.
    + Added a depend on ruby-test-unit; the one shipped with ruby1.8 is too
      old to run the tests.
    + Set the priority of the lib*-ruby transitional packages to extra.
  * debian/copyright: converted to the Debian copyright format version 1.0.
  * debian/patches:
    + Added patch disable-config-tests.patch to disable config tests for
      which the input config does not actually exist.
    + Added patch fix-test-inheritance.patch to fix some tests that use
      inheritance but forget to require the parent test file.

 -- Paul van Tilburg <paulvt@debian.org>  Thu, 24 May 2012 20:55:35 +0200

ruby-net-ssh (1:2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to my @debian.org email-address.
  * Switch from Conflicts to Breaks.
  * debian/patches/disable-test1.patch: refreshed.

 -- Lucas Nussbaum <lucas@debian.org>  Sun, 25 Sep 2011 14:30:59 +0200

ruby-net-ssh (1:2.1.4-2) unstable; urgency=low

  * Add an epoch. This is needed so that this package's  libnet-ssh-ruby1.8
    can override the one from the libnet-ssh-ruby source package.
  * Bump standards-version to 3.9.2. No changes needed.
  * Change Depends to ruby | ruby-interpreter.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 17 May 2011 22:45:36 +0200

ruby-net-ssh (2.1.4-1) unstable; urgency=low

  * Migrated to gem2deb packaging.
    + Rename source and binary package.
  * Merged both libnet-ssh2-ruby and libnet-ssh-ruby (add transitional
    packages).
  * The new version was tested to work with gnome-keyring as an SSH agent.
    Closes: #472427.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 16 Apr 2011 09:31:22 +0200

libnet-ssh2-ruby (2.0.15-1) unstable; urgency=low

  * Team upload.
  * New upstream version.
  * debian/control:
    + Bump Standards-Version to 3.8.4 (no changes needed).
    + Drop 1.9 package, add 1.9.1 package (Closes: #569872).

 -- Marco Rodrigues <gothicx@sapo.pt>  Wed, 24 Feb 2010 21:26:22 +0000

libnet-ssh2-ruby (2.0.13-1) unstable; urgency=low

  [ Christopher Lunsford ]
  * Initial release (Closes: #543302)

  [ Ryan Niebur ]
  * fix watch file

 -- Christopher Lunsford <binarymutant@gmail.com>  Sun, 23 Aug 2009 17:40:00 -0400